Package com.emc.documentum.rest.config

# Enum Class PagingConfig

java.lang.Object
java.lang.Enum<PagingConfig>
com.emc.documentum.rest.config.PagingConfig

All Implemented Interfaces:
  `Serializable`, `Comparable<PagingConfig>`, `Constable`

public enum PagingConfig extends Enum<PagingConfig>
The runtime configuration for pagination settings where the settings are loaded from the classpath resource 'rest-api-paging-config.properties'.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`
  The singleton instance of `PagingConfig`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `defaultItemsPerPage()`
  Return the default item size per page from property 'rest.paging.default.size'.
  `int`
  `getCustomMaxSize(String resourceName)`
  Get specific resource max size customized by xml
  `int`
  `maxAllowedPageSize()`
  Return the max allowed item size per page from property 'rest.paging.max.size'.
  `static PagingConfig`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PagingConfig[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTANCE

    public static final PagingConfig INSTANCE
    The singleton instance of `PagingConfig`

- ## Method Details

  - ### values

    public static PagingConfig[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PagingConfig valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### defaultItemsPerPage

    public int defaultItemsPerPage()
    Return the default item size per page from property 'rest.paging.default.size'. Default is 100.
    Returns:
      the default item size per page

  - ### maxAllowedPageSize

    public int maxAllowedPageSize()
    Return the max allowed item size per page from property 'rest.paging.max.size'. Default is 1000.
    Returns:
      the max allowed item size per page

  - ### getCustomMaxSize

    public int getCustomMaxSize(String resourceName)
    Get specific resource max size customized by xml
    Parameters:
      `resourceName` - resource name annotated by @Controller
    Returns:
      the customized max size of this specific resource. If not specified, return global max size.